Subject: [Gen-art] Gen-art review of draft-ietf-manet-packetbb-14

From: Elwyn Davies <[email-masked]>
Date: Sat, 09 Aug 2008 18:26:48 +0100

This is a Gen-art review of draft-ietf-manet-packetbb-14.txt.  The document has been extensively edited 
since IESG review and it seemed appropriate to give it a complete review.

Reviewer: Elwyn Davies
Review Date: 9 August 2008

Summary:
This document is a tremendous improvement on -11 which I reviewed back in January.
It is essentially ready for publication as a PS except for a small number of  minor 
issues and editorial nits. The normative or other status of Appendices A and B 
should be clarified and the use of RFC 2119 language amended or otherwise.

Note that it is assumed that the network layer is able to deliver the exact payload length
to avoid carrying the packet length in the packet.

I wondered if it would be useful to define a standardized error message that would 
be common to all uses?

Comments:
Abstract/s1: the abstract is explicit about the format being intended for routing protocols 
but s1 is not.

s2.1: I think the draft probably ought to say something about bit/octet ordering here.  
If an <element> crosses an octet boundary the ordering is relevent to defining 'consecutive'.

s5.3: <head-length>:  Would be good to note the length does *not* include the <head-length> 
element itself as for <tlv-lengths> in s5.4.

Appendix A:  Is this normative?  If not should it use RFC 2119 language? 

Appendix B:  Is this normative?  If not should it use RFC 2119 language? 
In particular I am not sure if specifying the hop limit/hop count behaviours 
as SHOULD is sensible:  My feeling would be that an actual protocol needs 
a MUST behaviour in both cases to assure no looping (whether what is suggested 
here or some other).  However a lower case 'should' might be OK.

Editorial:
s1, line 1: s/designed to carrying/designed for carrying/ (or 'designed to carry')

s5.3, mid-length variable (and several other similar places): It would be sensible not to use bullets
for the mid-length calculation line - the various mathematical symbols used are confusing on these lines.

s6.1, bullet 4: s/successor hereto/successor thereto/ [that's a fun comment!]
s6.1, last bullet: s/require/requires/

Appendix B, next to last bullet: s/SHOULD discarded/SHOULD discard/ 

_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art